%define upstream_name    Locale-Codes
%define upstream_version 3.38

# From FC:
# Filter dependencies on private modules. Generator:
# for F in $(find lib -type f); do perl -e '$/ = undef; $_ = <>; if (/^package #\R([\w:]*);/m) { print qq{|^perl\\\\($1\\\\)} }' "$F"; done
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Locale::Codes::Country_Retired\\)|^perl\\(Locale::Codes::LangFam_Retired\\)|^perl\\(Locale::Codes::Script_Retired\\)|^perl\\(Locale::Codes::LangExt_Codes\\)|^perl\\(Locale::Codes::LangFam_Codes\\)|^perl\\(Locale::Codes::Script_Codes\\)|^perl\\(Locale::Codes::Language_Codes\\)|^perl\\(Locale::Codes::LangExt_Retired\\)|^perl\\(Locale::Codes::Currency_Codes\\)|^perl\\(Locale::Codes::LangVar_Retired\\)|^perl\\(Locale::Codes::Language_Retired\\)|^perl\\(Locale::Codes::Country_Codes\\)|^perl\\(Locale::Codes::LangVar_Codes\\)|^perl\\(Locale::Codes::Currency_Retired\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Standard language codes (such as ISO 639)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
Locale::Codes is a distribution containing a set of modules. The modules
each deal with different types of codes which identify parts of the locale
including languages, countries, currency, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.380.0-2.mga6
+ Revision: 1029219
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.380.0-1.mga6
+ Revision: 1002080
- update to 3.38

* Fri Feb 19 2016 umeabot <umeabot> 3.360.0-2.mga6
+ Revision: 969638
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 3.360.0-1.mga6
+ Revision: 873504
- update to 3.36

* Sun Jul 05 2015 sander85 <sander85> 3.350.0-1.mga6
+ Revision: 850995
- update to 3.35

* Sun Oct 19 2014 umeabot <umeabot> 3.320.0-5.mga5
+ Revision: 788445
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.320.0-4.mga5
+ Revision: 745139
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 3.320.0-3.mga5
+ Revision: 719388
- filter dependencies on private modules

* Tue Sep 16 2014 umeabot <umeabot> 3.320.0-2.mga5
+ Revision: 685242
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 3.320.0-1.mga5
+ Revision: 671367
- update to 3.32

* Wed Jun 04 2014 sander85 <sander85> 3.310.0-1.mga5
+ Revision: 633040
- update to 3.31

* Thu Mar 13 2014 jquelin <jquelin> 3.300.0-1.mga5
+ Revision: 602799
- update to 3.30

* Mon Feb 10 2014 jquelin <jquelin> 3.290.0-1.mga5
+ Revision: 587956
- update to 3.29

* Sat Oct 19 2013 umeabot <umeabot> 3.270.0-2.mga4
+ Revision: 534063
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 3.270.0-1.mga4
+ Revision: 476177
- update to 3.27

* Mon Jun 10 2013 jquelin <jquelin> 3.260.0-1.mga4
+ Revision: 441440
- update to 3.26

* Wed Mar 27 2013 jquelin <jquelin> 3.240.0-3.mga3
+ Revision: 405504
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.240.0-2.mga3
+ Revision: 369129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.240.0-1.mga3
+ Revision: 341873
- update to 3.24

* Wed Nov 07 2012 jquelin <jquelin> 3.230.0-2.mga3
+ Revision: 315526
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.230.0-1.mga3
+ Revision: 295342
- update to 3.23

* Mon Sep 17 2012 jquelin <jquelin> 3.220.0-3.mga3
+ Revision: 294849
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.220.0-2.mga3
+ Revision: 284590
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 3.220.0-1.mga3
+ Revision: 254139
- update to 3.22

* Tue Mar 06 2012 jquelin <jquelin> 3.210.0-1.mga2
+ Revision: 219805
- update to 3.21

* Mon Dec 12 2011 jquelin <jquelin> 3.200.0-1.mga2
+ Revision: 180908
- update to 3.20

* Fri Nov 04 2011 jquelin <jquelin> 3.180.0-2.mga2
+ Revision: 162812
- take priority over module bundled with perl 5.14.2

* Fri Sep 02 2011 kharec <kharec> 3.180.0-1.mga2
+ Revision: 137923
- update to 3.18

* Fri Jul 08 2011 jquelin <jquelin> 3.170.0-1.mga2
+ Revision: 120352
- update to 3.17

* Tue Mar 08 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 66602
- update to 3.16

* Fri Feb 18 2011 jquelin <jquelin> 3.150.0-3.mga1
+ Revision: 53703
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 32135
- mageia rebuild
- imported package perl-Locale-Codes

